### Hierarchy

- TensorScriptContext
  - TensorScriptModelContext

## Index

### Properties

- compiled
- layers
- settings
- trained
- type
- xShape
- yShape

## Properties

### compiled

compiled: boolean

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:15

### Optional layers

layers: TensorScriptLayers | TensorScriptSavedLayers

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:18

### settings

settings: TensorScriptOptions

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:13

### trained

trained: boolean

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:14

### Optional type

type: undefined | string

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:12

### Optional xShape

xShape: number[]

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:16

### Optional yShape

yShape: number[]

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:17